<?php

$alipay_options = [
    'environment'   => 'production',//production or sandbox
    'appid'         => '2016091201894867',
    'prikey'        => file_get_contents(config_path() . '/alipay/pri_key.pem'),
    'encrypt_key'   => 'jw3nnqmrlqunkd1f9g9v206q24jqbuxa',
    'ali_pubkey'    => file_get_contents(config_path() . '/alipay/pub_key.pem'),
    'notify_url'    => env('APP_URL') . '/api/pay/alipay/notify',
];

$wechatpay_options = [
    'appid'         => 'wxc5181c0d406023e6',
    'apikey'        => '1miaomiao1weixin1account1number1',
    'merchant_id'   => '1486206722',
    'notify_url'    => env('APP_URL') . '/api/pay/wechatpay/notify',
];

return [

	// The default gateway to use
	'default' => 'wechatpay',

	// Add in each gateway here
	'gateways' => [
        //支付宝app支付
        'alipay_app'    => [
            'driver'        => 'Alipay_AopApp',
            'options'       => $alipay_options,
        ],
        'alipay'    => [//与上面一致，兼容处理
            'driver'        => 'Alipay_AopApp',
            'options'       => $alipay_options,
        ],
        //支付宝面对面支付
        'alipay_f2f'    => [
            'driver'        => 'Alipay_AopF2F',
            'options'       => $alipay_options,
        ],
        //微信app支付
        'wechatpay_app'     => [
            'driver'        => 'WechatPay_App',
            'options'       => $wechatpay_options,
        ],
        'wechatpay'     => [//与上面一致，兼容处理
            'driver'        => 'WechatPay_App',
            'options'       => $wechatpay_options,
        ],
        //微信原生扫码支付
        'wechatpay_native'     => [
            'driver'        => 'WechatPay_Native',
            'options'       => $wechatpay_options,
        ]
	]

];